Bug 1296343 - Kernel oops on Skylake system
Kernel oops on Skylake system
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 18:19 EST by Joshua Rosen
Modified: 2016-07-19 14:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:38:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Rosen 2016-01-06 18:19:34 EST
Description of problem:
Getting a kernel oops on a Skylake system. I think it's in the Intel Skylake graphics driver which is a beta in the 4.2 kernels. This system is using the built in Intel graphics, there is no graphics card in the system.

When will you be moving to 4.3? I'm pretty sure that 4.3 has the a released driver for Skylake.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Jan  6 18:11:36 grant kernel: CPU: 4 PID: 1336 Comm: Xorg Tainted: G        W       4.2.8-200.fc22.x86_64 #1
Jan  6 18:11:36 grant kernel: Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./Z170X-Gaming 5, BIOS F4 10/16/2015
Jan  6 18:11:36 grant kernel: 0000000000000000 00000000e4185ce8 ffff88084eea3508 ffffffff817738ca
Jan  6 18:11:36 grant kernel: 0000000000000000 ffff88084eea3560 ffff88084eea3548 ffffffff8109e4c6
Jan  6 18:11:36 grant kernel: ffff88084eea3610 ffff88084eea36b4 ffff88084da49000 ffff88084da48000
Jan  6 18:11:36 grant kernel: Call Trace:
Jan  6 18:11:36 grant kernel: [<ffffffff817738ca>] dump_stack+0x45/0x57
Jan  6 18:11:36 grant kernel: [<ffffffff8109e4c6>] warn_slowpath_common+0x86/0xc0
Jan  6 18:11:36 grant kernel: [<ffffffff8109e555>] warn_slowpath_fmt+0x55/0x70
Jan  6 18:11:36 grant kernel: [<ffffffffa015ec5e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
Jan  6 18:11:36 grant kernel: [<ffffffffa015ee2b>] skl_update_wm+0x1bb/0x6d0 [i915]
Jan  6 18:11:36 grant kernel: [<ffffffffa01a99e7>] ? gen9_read32+0xf7/0x2d0 [i915]
Jan  6 18:11:36 grant kernel: [<ffffffffa0193be2>] ? i915_get_vblank_timestamp+0x62/0xa0 [i915]
Jan  6 18:11:36 grant kernel: [<ffffffffa016238e>] intel_update_watermarks+0x1e/0x30 [i915]
Jan  6 18:11:36 grant kernel: [<ffffffffa01c4197>] intel_begin_crtc_commit+0x177/0x1b0 [i915]
Jan  6 18:11:36 grant kernel: [<ffffffffa00c5555>] drm_atomic_helper_commit_planes_on_crtc+0x55/0x260 [drm_kms_helper]
Jan  6 18:11:36 grant kernel: [<ffffffffa01de09b>] intel_atomic_commit+0x6b/0x100 [i915]
Jan  6 18:11:36 grant kernel: [<ffffffffa006e877>] drm_atomic_commit+0x37/0x60 [drm]
Jan  6 18:11:36 grant kernel: [<ffffffffa00c3f7f>] drm_atomic_helper_disable_plane+0xef/0x130 [drm_kms_helper]
Jan  6 18:11:36 grant kernel: [<ffffffffa005e79a>] __setplane_internal+0x23a/0x2f0 [drm]
Jan  6 18:11:36 grant kernel: [<ffffffffa005e97b>] drm_mode_cursor_universal+0x12b/0x210 [drm]
Jan  6 18:11:36 grant kernel: [<ffffffff817778b3>] ? __ww_mutex_lock+0x63/0xa0
Jan  6 18:11:36 grant kernel: [<ffffffffa005eae1>] drm_mode_cursor_common+0x81/0x180 [drm]
Jan  6 18:11:36 grant kernel: [<ffffffffa0062980>] drm_mode_cursor_ioctl+0x50/0x70 [drm]
Jan  6 18:11:36 grant kernel: [<ffffffffa0053365>] drm_ioctl+0x125/0x610 [drm]
Jan  6 18:11:36 grant kernel: [<ffffffffa0062930>] ? drm_mode_setcrtc+0x500/0x500 [drm]
Jan  6 18:11:36 grant kernel: [<ffffffff8121d977>] ? __vfs_read+0x37/0x100
Jan  6 18:11:36 grant kernel: [<ffffffff81231475>] do_vfs_ioctl+0x295/0x470
Jan  6 18:11:36 grant kernel: [<ffffffff810aa2e1>] ? __set_task_blocked+0x41/0xa0
Jan  6 18:11:36 grant kernel: [<ffffffff812316c9>] SyS_ioctl+0x79/0x90
Jan  6 18:11:36 grant kernel: [<ffffffff8177a2ae>] entry_SYSCALL_64_fastpath+0x12/0x71
Jan  6 18:11:36 grant kernel: ---[ end trace 0cc9049328519e0e ]---
Jan  6 18:11:37 grant abrt-dump-journal-oops: abrt-dump-journal-oops: Found oopses: 1
Jan  6 18:11:37 grant abrt-dump-journal-oops: abrt-dump-journal-oops: Creating problem directories
Jan  6 18:11:37 grant abrt-server: Deleting problem directory oops-2016-01-06-18:11:37-969-0 (dup of oops-2016-01-05-08:02:04-968-0)
Jan  6 18:11:38 grant abrt-dump-journal-oops: Reported 1 kernel oopses to Abrt


Expected results:


Additional info:
Comment 1 Josh Boyer 2016-01-06 19:05:48 EST
Fedora 23 has 4.3.3 submitted for updates-testing right now.  F22 will likely move in a little over a week.
Comment 2 Joshua Rosen 2016-01-06 20:24:24 EST
I'll give it a try just as soon as it hits testing on F22.
Comment 3 Fedora End Of Life 2016-07-19 14:38:43 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.